# $Revision: 1.67 $, $Date: 2009/02/07 23:57:49 $
#
# TODO:
#	- on x86-64: /usr/bin/monodevelop[60]: cd: /usr/lib/monodevelop/bin - No such file or directory
#
# Conditional build:
%bcond_without	subversion	# disable subversion backend
%bcond_without	asp		# disable ASP.net
#
%include	/usr/lib/rpm/macros.mono
Summary:	Mono IDE
Summary(pl.UTF-8):	IDE dla Mono
Name:		monodevelop
Version:	1.9.1
Release:	1
License:	GPL/MIT
Group:		Development/Tools
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/monodevelop/%{name}-%{version}.tar.bz2
# Source0-md5:	de6d1b2d135836048e0091ae60edb591
Patch0:		%{name}-MOZILLA_FIVE_HOME.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-install.patch
Patch4:		%{name}-libdir.patch
URL:		http://www.monodevelop.com/
BuildRequires:	ORBit2-devel >= 2.8.3
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	desktop-file-utils
BuildRequires:	dotnet-gnome-sharp-devel >= 2.16.0
BuildRequires:	dotnet-gecko-sharp2-devel >= 0.10
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.9.0
BuildRequires:	dotnet-gtksourceview-sharp2-devel >= 0.10
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.13
BuildRequires:	mono-addins-devel
BuildRequires:	monodoc >= 1.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	shared-mime-info
%{?with_asp:BuildRequires:	xsp}
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	hicolor-icon-theme
Requires:	gtkhtml
#%ifarch %{x8664} ia64 ppc64 s390x sparc64
#Requires:	libgtkembedmoz.so()(64bit)
#%else
#Requires:	libgtkembedmoz.so
#%endif
Requires:	mono-addins
Requires:	pkgconfig
Requires:	xulrunner-libs
Requires(post,postun):	shared-mime-info
%{?with_subversion:Requires:	subversion-libs}
Suggests:	mono-compat-links
Suggests:	mono-csharp
Obsoletes:	MonoDevelop
ExcludeArch:	alpha i386 sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mono IDE, in the very early stages of development right now, and
progressing quickly. MonoDevelop has many features. Some of these
include:
- Class Management MonoDevelop has a class viewer which allows you to
  list the classes in your project, their methods, and properties. Your
  namespaces are also kept track of to keep the classes separated. When
  you add something to your project, it will automatically be added to
  the class viewer, even if they're namespaces, classes, methods, or
  even variables.
- Code Completion With the .NET and Gtk# frameworks put together, it
  can be challenging to remember all the classes, methods, or properties
  that are at your disposal. MonoDevelop's intelligent code completion
  attempts to complete what you're typing. If it finds a match, just hit
  tab and MonoDevelop will do the typing for you.
- Project Support MonoDevelop comes with built in projects that help
  get you started with your console, Gnome# or Gtk# application.

%description -l pl.UTF-8
MonoDevelop to IDE (zintegrowane środowisko programisty) dla Mono we
wczesnym, ale szybko postępującym stadium rozwoju. Ma wiele
możliwości, a wśród nich:
- zarządzanie klasami MonoDevelop ma przeglądarkę klas pozwalającą
  wyświetlać klasy w projekcie, ich metody oraz własności. Przestrzenie
  nazw są uwzględniane, aby zachować separację klas. Przy dodawaniu
  czegoś do projektu jest to automatycznie dodawane do przeglądarki
  klas, nawet jeśli są to przestrzenie nazw, klasy, metody, a nawet
  zmienne.
- dopełnianie kodu Przy połączeniu szkieletów .NET i Gtk# pamiętanie
  samemu wszystkich klas, metod i własności mogłoby być nie lada
  wyzwaniem. MonoDevelop w sposób inteligentny próbuje dopełniać to, co
  się pisze. Jeśli znajdzie dopasowanie, wystarczy nacisnąć tabulację,
  aby dokończył pisać za nas.
- obsługa projektów MonoDevelop przychodzi z wbudowanymi projektami,
  pomagającymi zacząć tworzyć aplikacje konsolowe, Gnome# albo Gtk#.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -rf autom4te.cache
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-update-mimedb \
	--disable-update-desktopdb \
	--enable-c \
	--%{?with_asp:en}%{!?with_asp:dis}able-aspnet \
	%{?with_subversion:--enable-subversion}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/mime/packages/*
%{_desktopdir}/*.desktop
%{_pkgconfigdir}/*
%{_iconsdir}/hicolor/*/apps/monodevelop.png
%{_iconsdir}/hicolor/*/apps/monodevelop.svg
%{_mandir}/man1/mdtool.1*
%{_mandir}/man1/monodevelop.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: monodevelop.spec,v $
Revision 1.67  2009/02/07 23:57:49  aredridel
- 1.9.1

Revision 1.66  2008/11/12 21:12:10  arekm
- release 5

Revision 1.65  2008/10/18 23:14:33  wolvverine
- rel.4

Revision 1.64  2008/06/25 13:09:45  patrys
- R: pkgconfig (required to find system assemblies)
- drop crasher TODO (does not crash here, use Launchpad to report bugs)
- rel 3

Revision 1.63  2008/06/19 17:57:56  qboosh
- updated Source0 URL

Revision 1.62  2008/06/01 19:44:21  megabajt
- release 2

Revision 1.61  2008-03-14 18:07:39  vip
- up to 1.0
- STBR

Revision 1.60  2008-02-16 01:37:10  patrys
- 0.19

Revision 1.59  2008-01-21 16:19:36  wolvverine
- S: mono-compat-links, mono-csharp

Revision 1.58  2007-12-30 22:15:26  vip
- up to 0.18.1
- STBR

Revision 1.57  2007-12-19 16:52:56  vip
- up to 0.18

Revision 1.56  2007-12-15 21:29:36  qboosh
- download URL, unified bcond

Revision 1.55  2007-11-06 18:01:30  vip
- up to 0.17 (1.0 beta 2)

Revision 1.54  2007/10/01 19:26:13  wolf
- 0.16 (1.0 beta 1)

Revision 1.53  2007/09/26 20:15:48  wolf
- snap 20070926
- requires xulrunner for gecko

Revision 1.52  2007/08/15 23:17:05  wolf
- asp.net bcond

Revision 1.51  2007/08/08 10:06:47  vip
- updated to 0.15

Revision 1.50  2007/06/19 16:49:12  deejay1
- BR/R(P,PU): desktop-file-utils
- replaced post(un) scripts with proper macros

Revision 1.49  2007/06/13 11:19:38  vip
- up to .14

Revision 1.48  2007/06/04 20:00:25  qrczak
- Fixed bcond comment

Revision 1.47  2007/03/20 21:12:16  pluto
- doesn't work on th-x86_64, see TODO.

Revision 1.46  2007/03/08 23:24:04  qrczak
- BR: xsp for --enable-aspnet

Revision 1.45  2007/03/08 21:44:17  deejay1
- changed license
- added bconded subversion support
- enabled ASP.Net project support
- rel. 2

Revision 1.44  2007/03/08 20:58:31  vip
- up to 0.13.1

Revision 1.43  2007/02/23 22:56:57  vip
- up to 0.13

Revision 1.42  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.40  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.39  2006/09/07 16:04:59  piti
- added BR dotnet-gnome-sharp-devel

Revision 1.38  2006/09/06 22:59:51  vip
- updated to 0.12

Revision 1.37  2006/08/12 22:02:29  grzegol
- fetch sources

Revision 1.36  2006/08/12 21:24:31  grzegol
- updated to 20060812 snap (works with gtk-sharp 2.9)

Revision 1.35  2006/06/07 09:42:27  qboosh
- fixed libgtkembedmoz.so dep

Revision 1.34  2006/06/07 09:36:26  charles
- updated -MOZILLA_FIVE_HOME.patch (for all provides libgtkembedmoz.so)
- R s/mozilla-embedded/libgtkembedmoz.so/ (works in seamonkey, firefox etc.)
- rel. 2

Revision 1.33  2006/05/07 18:08:25  deejay1
- up to 0.11 by Piotr Budny <piotr.budny@gmail.com>

Revision 1.32  2006/04/24 17:35:16  deejay1
- R: gtkhtml
- updated desktop patch
- rel 2

Revision 1.31  2006/04/05 17:05:44  deejay1
- rel. 1
- changelog cosmetics

Revision 1.30  2006/04/05 16:37:01  deejay1
- updated to 0.10 - NFY, got to check some things
- Patch5 is obsolete - already applied upstream

Revision 1.29  2006/02/20 17:48:35  deejay1
- added Patch5 to let it build with current mono, rel 2
- R: mono-csharp >= 1.1.13

Revision 1.28  2005/11/30 20:20:50  freetz
- libdir patch is back (for unused(!) pkgconfig file)

Revision 1.27  2005/11/30 19:57:13  freetz
- desktop patch is back, removed obsoleted libdir patch, updated desktop/
  mime databases in post/postun, adapterized
- some binary (!) dlls are installed (from contrib), no idea what to do with
  that crap

Revision 1.26  2005/11/24 08:05:29  pawcioos
- updated to 0.9

Revision 1.25  2005/10/18 18:35:59  wolf
- 0.8

Revision 1.24  2005/08/22 18:42:25  wolf
- auto mono deps

Revision 1.23  2005/06/29 00:23:21  charles
- BR: gettext-devel, pkgconfig

Revision 1.22  2005/05/19 16:40:57  pawcioos
- updated to 0.7

Revision 1.21  2005/05/15 01:31:58  pawcioos
- added patch update-mime-database

Revision 1.20  2005/05/15 00:16:36  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.19  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.18  2005/03/23 16:03:56  spider
- md5 up, i forgot agrr

Revision 1.17  2005/03/23 15:58:03  spider
- typo is source

Revision 1.16  2005/03/23 15:52:59  spider
- up to 0.6

Revision 1.15  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.14  2004/11/17 14:15:17  paladine
- added desktop patch
- rel 2

Revision 1.13  2004/11/10 16:12:42  undefine
- BR: intltool

Revision 1.12  2004/10/09 13:47:30  undefine
- up to 0.5.1, fixed libdir patch (yet one prefix/lib use...)

Revision 1.11  2004/09/19 21:52:52  ankry
- ja_JP -> ja

Revision 1.10  2004/08/20 08:12:37  krzak
- ExcludeArch: alpha
- rel 2

Revision 1.9  2004/08/15 19:07:00  krzak
- mono-csharp already require mono-devel

Revision 1.8  2004/07/04 07:46:36  krzak
- more Requires
- rel. 1

Revision 1.7  2004/07/04 06:52:14  krzak
- up to version 0.5
- update BR's
- mint.patch - mint interpreter support
- libdir.patch - fixed directory path
- rel 0.9

Revision 1.6  2004/06/07 10:14:37  aflinta
- up to version 0.4

Revision 1.5  2004/05/07 19:50:30  ankry
- spaces -> tabs

Revision 1.4  2004/05/07 07:48:59  wiget
- BR sed >= 4.0

Revision 1.3  2004/05/06 10:20:38  malekith
- up to 0.3; Nemerle support, yeah ;-)

Revision 1.2  2004/04/13 11:05:34  krzak
- Requires:       gtksourceview-sharp

Revision 1.1  2004/03/05 16:45:30  grzegol
- moved from MonoDevelop.spec and updated to 0.1

Revision 1.4  2004/03/02 10:32:33  krzak
- BR: mozilla-devel  to find out MOZILLA_HOME

Revision 1.3  2004/02/29 16:17:00  grzegol
- added MOZILLA_FIVE_HOME (set MOZILLA_FIVE_HOME properly)
- rel. .1

Revision 1.2  2004/02/28 21:57:03  qboosh
- URL, description from URL, pl translation

Revision 1.1  2004/02/28 18:06:09  malekith
- first sketch
- TODO: kill the MOZILLA_FIVE_HOME from monodevelop script; check why it segfaults
